Method: brands.patch

  • Updating a brand's information requires sending a PATCH request to the specified URL, including the entire list for any fields that accept a list as input.

  • The brand.name path parameter is the unique identifier of the brand and is defined by the platform.

  • The updateMask query parameter is a comma-separated list specifying which fields in the Brand resource to update.

  • The request and response bodies both contain an instance of a Brand resource.

Updates information about a brand.

HTTP request

PATCH https://businesscommunications.googleapis.com/v1/{brand.name=brands/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
brand.name

string

Output only. The unique identifier of the brand.

Defined by the platform.

Query parameters

Parameters
updateMask

string (FieldMask format)

The update mask applies to the resource. For the FieldMask definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Brand.

Response body

If successful, the response body contains an instance of Brand.